Skip to content
Content & StorefrontReviews

List storefront reviews

Returns the store's latest approved reviews of products that still exist, for testimonial sections.

GET/v1/reviews
No token

Query Parameters

limit?integer

Maximum number of results to return.

Formatint32
minRating?integer
Formatint32

Header Parameters

x-Store-Domain*string

Slug of the store or one of its configured domains, such as my-store.

Length1 <= length <= 253

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://storefront.ecomiq.pe/v1/reviews" \  -H "x-Store-Domain: my-store"
[  {    "id": "7204558912004321328",    "productId": "7204558912004322039",    "productName": "Muy buena calidad",    "rating": 5,    "title": "Muy buena calidad",    "content": "Gracias por tu compra, Andrea.",    "reviewerName": "Muy buena calidad",    "createdOn": "2026-09-28T15:30:00Z"  }]